%define ocamlname merlin

Name:           ocaml-%{ocamlname}
Version:        3.1.0
Release:        1%{?dist}.emp1
Summary:        Compiler from OCaml bytecode to Javascript
License:        MIT
URL:            https://github.com/ocaml/merlin
Source0:	https://github.com/ocaml/merlin/archive/v%{version}.tar.gz

Requires:	ocaml >= 4.02.1
Requires:	ocaml < 4.08
Requires:  	ocaml-findlib >= 1.5.2
Requires:  	ocaml-yojson

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.02.1
BuildRequires:  ocaml-findlib-devel >= 1.5.2
BuildRequires:  ocaml-yojson-devel

%description
Editor helper, provides completion, typing and source browsing in Vim
and Emacs

Merlin is an assistant for editing OCaml code. It aims to provide the
features available in modern IDEs: error reporting, auto completion,
source browsing and much more.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
%configure --prefix "%{_prefix}"
rm -rf "%{prefix}%/share/ocamlmerlin"
make %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%{_libdir}/ocaml/bin/ocamlmerlin*
%{_libdir}/ocaml/share/merlin
%{_libdir}/ocaml/share/emacs/site-lisp/merlin*
